Imports CharterDotCom.CommonEntities.Library.Enumerations

Public Interface ICategory
    Property CategoryID() As Integer
    Property ParentCategoryID() As Integer
    Property CategoryKey() As String
    Property Priority() As String
    Property CategoryDescription() As String
    Property Name() As String
    Property ArticleCount() As Integer
    Property Articles() As Dictionary(Of String, IArticle)
End Interface

Public Interface IArticle
    Property ArticleID() As Integer
    Property CategoryID() As Integer
    Property ArticleTypeID() As Integer
    Property Title() As String
    Property Summary() As String
    Property ContentText() As String
    Property Keywords() As String
    Property Deleted() As Boolean
    Property CreatedDate() As Date
    Property CreatedBy() As Integer
    Property UpdatedBy() As Integer
    Property UpdatedDate() As Date
    Property HitCount() As Integer
    Property RelatedArticles() As Dictionary(Of String, IArticle)
End Interface

Public Interface IHTMLDocument
    Property HTML() As String
    Property ID() As Integer
    Property KeyWords() As String
    Property Summary() As String
    Property Title() As String
End Interface

Public Interface IDocumentFolder
    Property ID() As Integer
    Property NumberOfChildren() As Integer
    Property Name() As String
    Property ParentFolderID() As Integer
    Property ChildFolders() As Dictionary(Of String, BLDocumentFolder)
    Property ChildDocuments() As Dictionary(Of String, BLHTMLDocument)
End Interface


Public Interface ISearchResultCollection
    Property results() As List(Of ISearchResult)

End Interface
Public Interface ISearchResult
    Property Score() As Single
    Property URL() As String
    Property MimeType() As MimeType
    Property BinaryDocumentMimeType() As String
    Property DocumentID() As Integer
    Property ParentFolderID() As Integer
    Property Title() As String
    Property Summary() As String
    Property HMTL() As String
    Property CreateDate() As Date
    Property resultType() As SearchResultType
End Interface

Public Interface IAddDocumentCommentsRequest
    Property DocumentID() As Integer
    Property Helpful() As Boolean
    Property Rating() As Integer
    Property Comments() As String
    Property CreatedBy() As String
End Interface
